dofile('data/Scenes/7_house_1_Anim_barrel.lua')

local PATH_COMICS_7_ON_SHOWN               = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_7_UNDER_BARREL           = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_7_DROP_BARREL            = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_7_AFTER_GAME_COLUMN      = 'data/Scenes/Comics/HelpersComicsReplic.lua'

local PATH_MINIGAME_7_COLUMN               = 'data/Scenes/Minigames/7_column.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('COLUMN', '', 'column'))
    AddRandomTasks(12,
         CreateTask('ACORNS', '', 'acorn'),
         CreateTask('TEDDY_BEAR', '', 'bear'),
         CreateTask('CLOWN', '', 'clown'),
         CreateTask('MUSHROOM', 'MUSHROOMS', 'fungus', 'fungus_2', 'fungus_5', 'fungus_6', 'fungus_7', 'fungus_8'),
         CreateTask('MUSICAL_INSTRUMENT', 'MUSICAL_INSTRUMENTS', 'guitar', 'guitar_2', 'guitar_3', 'guitar_4', 'guitar_5'),
         CreateTask('HANDBELL', '', 'handbell'),
         CreateTask('HARE', '', 'hare'),
         CreateTask('HORSE', '', 'horse'),
         CreateTask('LIGHT_BULB', '', 'light_bulb'),
         CreateTask('MITTEN', '', 'mitten'),
         CreateTask('GLOVE', '', 'mitten_2'),
         CreateTask('MUG', '', 'mug'),
         CreateTask('OWL', '', 'owl'),
         CreateTask('PEPPER', '', 'pepper'),
         CreateTask('PLIERS', '', 'pliers'),
         CreateTask('SLINGSHOT', '', 'slingshot'),
--       CreateTask('SMALL_CART', '', 'small_cart'),
         CreateTask('STAR', '', 'star'),
         CreateTask('UMBRELLA', 'UMBRELLAS', 'umbrella', 'umbrella_2'),
         CreateTask('WATERING_CAN', '', 'watering_can')
    )	
	---------------------------------------------------------------------------------------------
	local zone_shed = CreateZoomZone('close_zone_shed',
                                     'pixel_open_shed',
                                     'bg_zoom_shed',
                                     'column',
                                     'can'
                                    )
    local threshold_bg = pf:GetObject('bg_zoom_shed')
    pf:GetObject('column'):SetClippingRect(threshold_bg:GetX() - threshold_bg:GetAnimation():GetHotX(), 
                                           threshold_bg:GetY() - threshold_bg:GetAnimation():GetHotY(),
                                           640, 480)
	---------------------------------------------------------------------------------------------
	pf:GetObject('layer_barrel'):SetOpacity(1)
	pf:GetObject('layer_bucket'):SetOpacity(0)
	pf:IgnoreOnTestPoint('layer_barrel')
	pf:IgnoreOnTestPoint('layer_bucket')
	---------------------------------------------------------------------------------------------
	local zone_electro = CreateZoomZone('close_zone_shed',
                                        'pixel_open_electro',
                                        'bg_zoom_electro',
                                        'barrel_fall',
                                        'barrel_fall_real',
                                        'pixel_use_capacity',
                                        'pixel_barrel_click'
                                       )
    pf:GetObject('barrel_fall_real'):GetAnimation():SetColor('0xFFFFFFFF')
    pf:GetObject('barrel_fall_real'):GetAnimation():Stop()
    pf:GetObject('barrel_fall_real'):SetMaxOpacity(0)
    pf:GetObject('barrel_fall'):GetAnimation():SetColor('0xFFFFFFFF')
    pf:GetObject('pixel_use_capacity'):SetMaxOpacity(0.01)
    pf:GetObject('pixel_barrel_click'):SetMaxOpacity(0.01)
    ---------------------------------------------------------------------------------------------
    local barrel_fall = createCompositionBarrel()
    barrel_fall:AttachTo( pf:GetObject('bg_zoom_electro') )
    barrel_fall:SetZ(100)
    barrel_fall:SetXY(-320, -240)
    barrel_fall:SetDestroysOnEnd(false)
    barrel_fall:SetVisible(false)
    
    local bucket_fall = createCompositionBucket()
    bucket_fall:AttachTo( pf:GetObject('bg_zoom_electro') )
    bucket_fall:SetZ(90)
    bucket_fall:SetXY(-320, -240)
    bucket_fall:SetVisible(false)
    bucket_fall:SetDestroysOnEnd(false)
	---------------------------------------------------------------------------------------------
	local apply_action_bucket = function(save)
	                                local state = game_state.scene_path
	                                if save then
	                                    bucket_fall:SetVisible(true)
                                        bucket_fall:Rewind(true)
                                        AddGameState(state, 'BucketInserted')
	                                else
	                                    bucket_fall:SetVisible(true)
                                        bucket_fall:Play()
                                        local duration = bucket_fall:GetDuration()
                                        zone_electro.Blocked(duration)
                                        pf:SetEnabled(false)
                                        pf:GetLevelScreen():GetPhone():Stop()
                                        TimerDo(pf:GetTimer(), duration, function() 
                                                                        AddGameState(state, 'BucketInserted')
                                                                        pf:SetEnabled(true)
                                                                        pf:GetLevelScreen():GetPhone():Go()
                                                                        FreeMainBarrel()
                                                                     end)
                                        MakeSoundEntity('07_make_bucket'):Play(false)
	                                end
	                                
	                                if not HasGameState(state, 'CanInserted') and photo_can then
	                                    ActivatePhotoZone(photo_can, 'pixel_use_capacity')
	                                end
	                                
	                                pf:GetObject('layer_bucket'):SetOpacity(1)
	                                FreeMainBarrel()
	                            end
	local photo_bucket = CreatePhotoZoneEx('bucket', 'bucket_tool',
									       'BUCKET',
                                           'bucket_photo',
                                           nil,
                                           'pixel_use_capacity',
                                           apply_action_bucket)
	---------------------------------------------------------------------------------------------
	local apply_action_can = function(save)
	                             local state = game_state.scene_path
                                 if save then
                                    barrel_fall:Rewind(true)
                                    barrel_fall:SetVisible(true)
                                    AddGameState(state, 'CanInserted')
                                 else
                                    barrel_fall:SetVisible(true)
                                    barrel_fall:Play()
                                    local duration = barrel_fall:GetDuration()
                                    zone_electro.Blocked(duration)
	                                pf:SetEnabled(false)
	                                pf:GetLevelScreen():GetPhone():Stop()
                                    TimerDo(pf:GetTimer(), duration, function() 
                                                                        AddGameState(state, 'CanInserted')
	                                                                    pf:SetEnabled(true)
	                                                                    pf:GetLevelScreen():GetPhone():Go()
	                                                                    FreeMainBarrel()
                                                                     end)
                                    MakeSoundEntity('07_make_bucket'):Play(false)
                                 end
        
                                 if not HasGameState(state, 'BucketInserted') and photo_bucket then
                                    ActivatePhotoZone(photo_bucket, 'pixel_use_capacity')
                                 end
                                 
                                 FreeMainBarrel()
	                         end
	photo_can = CreatePhotoZone('can',
									  'CAN',
                                      'can_photo',
                                      nil,
                                      'pixel_use_capacity',
                                      apply_action_can)
	---------------------------------------------------------------------------------------------
	local state = game_state.scene_path
	if not HasGameState(state, 'BucketInserted') and photo_bucket then
        ActivatePhotoZone(photo_bucket, 'pixel_use_capacity')
    end
	if not HasGameState(state, 'CanInserted') and photo_can then
        ActivatePhotoZone(photo_can, 'pixel_use_capacity')
	end
	---------------------------------------------------------------------------------------------
	game_state.chain_drop_barrel = RegisterComicsEx(function()
                                                        local text_comics = 'COMICS_7_DROP_BARREL'
                                                        if play_field:GetLevelScreen():IsCompleteLevel() then
                                                            text_comics = 'COMICS_7_DROP_BARREL_WITHOUT_ITEMS'
                                                        end
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_7_DROP_BARREL, text_comics)
                                                     end )
    game_state.chain_drop_barrel.OnHidden = function()
        DisableZoomZoneRequest(zone_electro)
        OnWin()
    end
	---------------------------------------------------------------------------------------------
	local clickOnBarrel = function(save)
	    local state = game_state.scene_path
	    local value = 'clickOnBarrel'
	    if save and not HasGameState(state, value) then
	        return
        end	        
	    
	    if not HasGameState(state, value) then
	        AddGameState(state, value)
	    end
	
	    if save then
	        if game_state.chain_drop_barrel.played == false then
	            game_state.chain_drop_barrel:Play()
            end
	    else
	        local opacity_change = 0.1
	        pf:GetObject('barrel_fall_real'):ChangeOpacity(0, 1, opacity_change)
	        pf:GetObject('barrel_fall'):ChangeOpacity(1, 0, opacity_change)
	        local anim_barrel_fall_real = pf:GetObject('barrel_fall_real'):GetAnimation()
	        local time = GetAnimationLength(anim_barrel_fall_real)
	        TimerDo(pf:GetTimer(), opacity_change, function()
                                                        anim_barrel_fall_real:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
                                                        anim_barrel_fall_real:Play()
                                                        
                                                        MakeSoundEntity('07_push_barrel'):Play(false)
                                                   end )
	        zone_electro.Blocked(time + opacity_change)
	        
	        TimerDo(pf:GetTimer(), time + opacity_change, function()
	                                                        zone_electro.ChangeObjOpacity('barrel_fall_real', 1, 0, 0.1)
	                                                        
                                                            game_state.chain_drop_barrel:Play()
                                                          end)
	    end

        pf:GetObject('barrel_fall'):SetMaxOpacity(0)    
	    pf:GetObject('layer_barrel'):SetOpacity(0)
	    pf:GetObject('pixel_barrel_click'):SetMaxOpacity(0)
	    pf:GetObject('pixel_barrel_click'):SetOpacity(0)
	    UnregisterActiveObject('pixel_barrel_click')
	    DisableZoomZoneRequest(zone_electro)
	end
	RegisterActiveObject('pixel_barrel_click', clickOnBarrel, true, GetCursorArms())
	---------------------------------------------------------------------------------------------
	pf:GetObject('boy'):SetOpacity(0)
	game_state.chain_on_shown = RegisterComicsEx(function()
	                                                local comics = LoadComics(PATH_COMICS_7_ON_SHOWN, '')
	                                                if comics then
                                                        CreateOneReplicBoys('COMICS_7_BOY_1', 1)
                                                        CreateOneReplicHeroes('COMICS_7_HEROES_2', 2)
                                                        CreateOneReplicBoys('COMICS_7_BOY_3', 3)
                                                        CreateOneReplicHeroes('COMICS_7_HEROES_4', 4)
                                                        CreateOneReplicBoys('COMICS_7_BOY_5', 5)
                                                        
                                                        NotesFound('Notes_13')
                                                        
                                                        pf:GetObject('boy'):ChangeOpacity(0, 1, 0.3)
                                                     end
	                                             end)
    game_state.chain_on_shown.OnHidden = function()
        pf:GetObject('boy'):ChangeOpacity(1, 0, 0.3)
    end

    game_state.chain_under_barrel = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_7_UNDER_BARREL, 'COMICS_7_UNDER_BARREL')
                                                     end )
    SetHintComicsPhotoZoneEx(photo_bucket, game_state.chain_under_barrel)
    SetHintComicsPhotoZoneEx(photo_can, game_state.chain_under_barrel)
    game_state.chain_after_game_column = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_7_AFTER_GAME_COLUMN, 'COMICS_7_AFTER_GAME_COLUMN')
                                                     end )
    game_state.chain_after_game_column.OnHidden = function()
        OnWin()
    end
	---------------------------------------------------------------------------------------------
	RegisterMiniGame(PATH_MINIGAME_7_COLUMN, function()
                                                LoadMiniGames(PATH_MINIGAME_7_COLUMN)
                                            end )
    ---------------------------------------------------------------------------------------------
    MakeSoundEntity('07_make_electricity'):Play(true)
    MakeSoundEntity('07_noise_bird'):Play(true)
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function FreeMainBarrel()
    local state = game_state.scene_path
    if HasGameState(state, 'BucketInserted') and HasGameState(state, 'CanInserted') then   
        play_field:GetObject('pixel_use_capacity'):SetOpacity(0)
        play_field:GetObject('pixel_use_capacity'):SetMaxOpacity(0)
    end
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown:Play()    
    end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
    if mini_game == PATH_MINIGAME_7_COLUMN then
        game_state.chain_after_game_column.Play()
        TryToDisableZoomZonesIfPossible()
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if object:GetName() == 'column' then
        object:ResetClippingRect()
        PlayRegisterMiniGame(PATH_MINIGAME_7_COLUMN)
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() and
       game_state.chain_after_game_column.played and
       game_state.chain_drop_barrel.played
    then
        OnWinLevel()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/acorn.png',0,0,46,29,1,0)
	anim:SetHotSpot(23,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('acorn',anim,771,367,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/bear.png',0,0,66,52,1,0)
	anim:SetHotSpot(33,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bear',anim,250,286,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/clown.png',0,0,100,111,1,0)
	anim:SetHotSpot(50,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clown',anim,518,602,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/fungus.png',0,0,52,56,1,0)
	anim:SetHotSpot(26,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fungus',anim,991,178,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/fungus_2.png',0,0,39,41,1,0)
	anim:SetHotSpot(19,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fungus_2',anim,1003,393,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/fungus_5.png',0,0,47,34,1,0)
	anim:SetHotSpot(23,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fungus_5',anim,258,653,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/fungus_6.png',0,0,49,43,1,0)
	anim:SetHotSpot(24,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fungus_6',anim,819,694,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/fungus_7.png',0,0,40,39,1,0)
	anim:SetHotSpot(20,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fungus_7',anim,899,683,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/fungus_8.png',0,0,28,30,1,0)
	anim:SetHotSpot(14,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fungus_8',anim,916,554,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/guitar.png',0,0,57,105,1,0)
	anim:SetHotSpot(28,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('guitar',anim,289,557,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/guitar_2.png',0,0,48,135,1,0)
	anim:SetHotSpot(24,67)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('guitar_2',anim,421,532,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/guitar_3.png',0,0,44,105,1,0)
	anim:SetHotSpot(22,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('guitar_3',anim,574,553,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/guitar_4.png',0,0,148,128,1,0)
	anim:SetHotSpot(74,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('guitar_4',anim,345,701,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/guitar_5.png',0,0,125,60,1,0)
	anim:SetHotSpot(62,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('guitar_5',anim,707,658,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/handbell.png',0,0,29,48,1,0)
	anim:SetHotSpot(14,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('handbell',anim,250,717,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/hare.png',0,0,56,77,1,0)
	anim:SetHotSpot(28,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hare',anim,694,575,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/horse.png',0,0,84,84,1,0)
	anim:SetHotSpot(42,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horse',anim,971,541,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/light_bulb.png',0,0,46,30,1,0)
	anim:SetHotSpot(23,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light_bulb',anim,804,751,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/mitten.png',0,0,57,30,1,0)
	anim:SetHotSpot(28,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mitten',anim,583,717,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/mitten_2.png',0,0,67,40,1,0)
	anim:SetHotSpot(33,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mitten_2',anim,908,743,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/mug.png',0,0,39,38,1,0)
	anim:SetHotSpot(19,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mug',anim,311,729,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/owl.png',0,0,29,43,1,0)
	anim:SetHotSpot(14,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('owl',anim,425,290,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/pepper.png',0,0,56,32,1,0)
	anim:SetHotSpot(28,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pepper',anim,867,699,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/pliers.png',0,0,22,52,1,0)
	anim:SetHotSpot(11,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pliers',anim,539,392,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/slingshot.png',0,0,90,38,1,0)
	anim:SetHotSpot(45,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('slingshot',anim,487,729,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/small_cart.png',0,0,117,85,1,0)
	anim:SetHotSpot(58,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('small_cart',anim,819,624,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/star.png',0,0,59,56,1,0)
	anim:SetHotSpot(29,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star',anim,985,27,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/umbrella.png',0,0,147,101,1,0)
	anim:SetHotSpot(73,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,637,284,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/umbrella_2.png',0,0,135,54,1,0)
	anim:SetHotSpot(67,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella_2',anim,663,741,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/watering_can.png',0,0,57,43,1,0)
	anim:SetHotSpot(28,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can',anim,926,407,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/photo/bucket_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket_photo',anim,99,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/bucket.png',0,0,40,38,1,0)
	anim:SetHotSpot(20,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,231,587,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/zoom_shed/bg_zoom_shed.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_zoom_shed',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/zoom_shed/can.png',0,0,166,186,1,0)
	anim:SetHotSpot(83,93)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('can',anim,653,426,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/photo/can_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('can_photo',anim,97,741,1000,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_shed',anim,835,514,120,0,10,12)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/zoom_electro/bg_zoom_electro.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_zoom_electro',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_electro',anim,638,499,120,0,14,18)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/animation/barrel_fall.png',0,0,198,271,1,0)
	anim:SetHotSpot(99,135)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('barrel_fall',anim,561,310,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/items/bucket_tool.png',0,0,87,77,1,0)
	anim:SetHotSpot(43,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket_tool',anim,79,539,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_use_capacity',anim,562,322,796,0,30,44)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/layers/layer_barrel.png',0,0,49,67,1,0)
	anim:SetHotSpot(24,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_barrel',anim,636,421,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/layers/layer_bucket.png',0,0,33,37,1,0)
	anim:SetHotSpot(16,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_bucket',anim,666,526,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_barrel_click',anim,514,232,795,0,14,20)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/animation/electric_discharge.png',0,0,180,269,15,25)
	anim:SetHotSpot(90,134)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('electric_discharge',anim,328,444,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/layers/boy.png',0,0,106,222,1,0)
	anim:SetHotSpot(53,111)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boy',anim,388,554,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/animation/barrel_fall.png',0,0,198,271,4,6)
	anim:SetHotSpot(99,135)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('barrel_fall_real',anim,588,311,722,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/7_house_1/zoom_shed/column.png',0,0,229,332,1,0)
	anim:SetHotSpot(114,166)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('column',anim,262,351,510,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
